edu.isi.pegasus.planner.catalog.site.classes

## Class CreateSampleSiteCatalog

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.CreateSampleSiteCatalog

    public class CreateSampleSiteCatalog
    extends java.lang.Object

Generates a sample site catalog in XML.

Version:
  $Revision$
Author:
  Karan Vahi

### Constructor Summary

Constructors
Constructor and Description
`CreateSampleSiteCatalog()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `constructSiteCatalog(java.lang.String file)` Generates a sample site catalog.
`HeadNodeFS` `createHeadNodeFS()` Creates an object describing the head node filesystem.
`WorkerNodeFS` `createWorkerNodeFS()` Creates an object describing the worker node filesystem.
`static void` `main(java.lang.String[] args)` The main program

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateSampleSiteCatalog

    public CreateSampleSiteCatalog()

### Method Detail

#### constructSiteCatalog

    public void constructSiteCatalog(java.lang.String file)

Generates a sample site catalog.

Parameters:
  `file` - the path to the file to be written out.

#### createHeadNodeFS

    public HeadNodeFS createHeadNodeFS()

Creates an object describing the head node filesystem.

Returns:
  the HeadNodeFS

#### createWorkerNodeFS

    public WorkerNodeFS createWorkerNodeFS()

Creates an object describing the worker node filesystem.

Returns:
  the HeadNodeFS

#### main

    public static void main(java.lang.String[] args)

The main program

Parameters:
  `args` -